Bug 742840 - "network start" wastes time trying to bring up ifcfg-* files that specify TYPE=Wireless
"network start" wastes time trying to bring up ifcfg-* files that specify TYP...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 00:17 EDT by Sam Varshavchik
Modified: 2014-03-16 23:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2011-10-03 00:17:49 EDT
Description of problem:

Some systems may experience lengthy boot delays because "systemctl start network.service" tries to run "ifup ifcfg-*" for each "ifcfg-*" file for a known wireless access point.

Version-Release number of selected component (if applicable):

initscripts-9.30-2.fc15.i686

How reproducible:

Always

Steps to Reproduce:
1. Log in to a healthy number of access points.
  
Actual results:

Each wireless access point interface results in NetworkManager creating ifcfg-{SSID}, which contains TYPE=Wireless.

The for loop in /etc/rc.d/init.d/network that labeled "# bring up all other interfaces configured to come up at boot time" will now end up running "ifup ifcfg-{SSID}", which fallsthrough to "ifup-eth".

Because ifcfg-{SSID} contains a HWADDR={MAC}, along the way initscript finds the physical ethX device for the wireless card. So, ifup-eth attempts to run dhclient on the wireless NIC. Lovely. NetworkManager hasn't started yet, and the wireless NIC isn't talking to any access point, and the chances of any DHCP server answering are nil.

dhclient will take a while to timeout.

Lather, rinse, repeat, for every access point that the laptop ever logged into.

Expected results:

"network start" should ignore any TYPE=Wireless ifcfg-* files.

Additional info:

The following patch dramatically reduces my boot time:

--- /etc/rc.d/init.d/network.orig	2011-10-03 00:01:55.000000000 -0400
+++ /etc/rc.d/init.d/network	2011-10-02 23:43:00.000000000 -0400
@@ -115,6 +115,10 @@
 			vpninterfaces="$vpninterfaces $i"
 			continue
 		fi
+		if [ "$TYPE" = "Wireless" ]; then
+			continue
+		fi
+
 
 		if [ "${DEVICE%%.*}" != "$DEVICE"  -o  "${DEVICE##vlan}" != "$DEVICE" ] ; then
 			vlaninterfaces="$vlaninterfaces $i"
Comment 1 Bill Nottingham 2011-10-03 16:55:08 EDT
The issue is that some wireless connections may work fine at boot, and don't require NetworkManager. There is a fix to be done here, but I think it's a little more complex than what you attached.
Comment 2 H. Peter Anvin 2011-10-14 19:55:30 EDT
The problem is that NetworkMangler has started littering /etc/sysconfig/network-scripts with entries for each wireless network (not even interface!), even the ones that need not just NetworkMangler but a whole user UI to be up, and which are only available to a specific user (what happens if a different user has different credentials for the same network??)

The "obvious" solution would be to make /etc/init.d/network ignore any scriptlet which has "NM_CONTROLLED=yes".

This is by the way making Fedora 15 almost unusable to me, because NetworkMangler doesn't understand everything I need to do with my network configuration (I need it to set up a bridge at boot time that initially has no members), but if I enable the network service the machine takes an eternity to boot.
Comment 3 Fedora End Of Life 2012-08-07 13:30:24 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.